apiVersion: 1

# list of datasources that should be deleted from the database
deleteDatasources:
  - name: '{{ grafana_datasource_name }}'
    orgId: 1

# list of datasources to insert/update depending
# what's available in the database
datasources:
  # <string, required> name of the datasource. Required
- name: '{{ grafana_datasource_name }}'
  type: 'prometheus'
  access: 'proxy'
  orgId: 1
  url: {{ grafana_datasource_url }}
  basicAuth: false
  isDefault: true
  editable: false
  jsonData:
    editable: false
    httpMode: POST
    tlsSkipVerify: true
    timeInterval: "1m"

{% for ds in grafana_postgres_configured_datasources %}
- name: {{ ds.name }}
  type: postgres
  url: {{ ds.url }}
  database: {{ ds.database }}
  user: {{ ds.user }}
  secureJsonData:
    password: '{{ ds.password }}'
  jsonData:
    sslmode: '{{ ds.sslMode }}'
    maxOpenConns: 0
    maxIdleConns: 2
    connMaxLifetime: 14400
    postgresVersion: '{{ ds.postgresVersion }}'
    timescaledb: {{ ds.timescaledb | lower }}
    timeInterval: {{ ds.timeInterval }}
{% endfor %}

{% for ds in grafana_elasticsearch_configured_datasources %}
- name: {{ ds.name }}
  type: elasticsearch
  url: {{ ds.url }}
  jsonData:
    index: {{ ds.indexPattern }}
    logMessageField: {{ ds.logMessageField }}
    logLevelField: {{ ds.logLevelField }}
    maxConcurrentShardRequests: {{ ds.maxConcurrentShardRequests }}
    timeInterval: {{ ds.timeInterval }}
    httpHeaderName1: 'Authorization'
    timeField: "{{ ds.timeField }}"
{% if ds.ca %}
    tlsAuthWithCACert: true
{% endif %}
  secureJsonData:
    httpHeaderValue1: 'ApiKey {{ ds.apiKey }}'
{% if ds.ca %}
    tlsCACert: |
      {{ ds.ca | indent(6) }}
{% endif %}
{% endfor %}
